# ------------------------------------------------------------------------------
#  es7s/core
#  (c) 2023 A. Shavykin <0.delameter@gmail.com>
# ------------------------------------------------------------------------------
import pytermor as pt


# https://wakatime.com/colors/languages

# a={}; k=""; for (var col of jQuery("span.editor-icon")){ for (s of [...$("div",col)]) {
# d=s.innerText; if (k) { a[d]=k; k=null; } else { k = d; } } }; console.log(a);

class PLang:
    # fmt: off
    MAP = {
        "1C Enterprise":                  (pt.RGB.from_channels(129,  76,   204),  0x814ccc),
        "2-Dimensional Array":            (pt.RGB.from_channels(56,   118,  29),   0x38761d),
        "4D":                             (pt.RGB.from_channels(0,    66,   137),  0x004289),
        "ABAP CDS":                       (pt.RGB.from_channels(85,   94,   37),   0x555e25),
        "ABAP":                           (pt.RGB.from_channels(232,  39,   75),   0xe8274b),
        "AGS Script":                     (pt.RGB.from_channels(185,  217,  255),  0xb9d9ff),
        "AIDL":                           (pt.RGB.from_channels(52,   235,  107),  0x34eb6b),
        "AL":                             (pt.RGB.from_channels(58,   162,  181),  0x3aa2b5),
        "AMPL":                           (pt.RGB.from_channels(230,  239,  187),  0xe6efbb),
        "ANTLR":                          (pt.RGB.from_channels(157,  195,  255),  0x9dc3ff),
        "API Blueprint":                  (pt.RGB.from_channels(42,   204,  168),  0x2acca8),
        "APL":                            (pt.RGB.from_channels(90,   129,  100),  0x5a8164),
        "ASP.NET":                        (pt.RGB.from_channels(148,  0,    255),  0x9400ff),
        "ATS":                            (pt.RGB.from_channels(26,   198,  32),   0x1ac620),
        "ActionScript":                   (pt.RGB.from_channels(136,  43,   15),   0x882b0f),
        "Ada":                            (pt.RGB.from_channels(2,    248,  140),  0x02f88c),
        "Adblock Filter List":            (pt.RGB.from_channels(128,  0,    0),    0x800000),
        "Adobe Font Metrics":             (pt.RGB.from_channels(250,  15,   0),    0xfa0f00),
        "Agda":                           (pt.RGB.from_channels(49,   86,   101),  0x315665),
        "Alloy":                          (pt.RGB.from_channels(100,  200,  0),    0x64c800),
        "Alpine Abuild":                  (pt.RGB.from_channels(13,   89,   127),  0x0d597f),
        "Altium Designer":                (pt.RGB.from_channels(168,  150,  99),   0xa89663),
        "AngelScript":                    (pt.RGB.from_channels(199,  215,  220),  0xc7d7dc),
        "Ant Build System":               (pt.RGB.from_channels(169,  21,   126),  0xa9157e),
        "Antlers":                        (pt.RGB.from_channels(255,  38,   158),  0xff269e),
        "ApacheConf":                     (pt.RGB.from_channels(209,  33,   39),   0xd12127),
        "Apex":                           (pt.RGB.from_channels(23,   151,  192),  0x1797c0),
        "Apollo Guidance Computer":       (pt.RGB.from_channels(11,   61,   145),  0x0b3d91),
        "AppleScript":                    (pt.RGB.from_channels(16,   31,   31),   0x101f1f),
        "Arc":                            (pt.RGB.from_channels(170,  42,   254),  0xaa2afe),
        "AsciiDoc":                       (pt.RGB.from_channels(115,  160,  197),  0x73a0c5),
        "AspectJ":                        (pt.RGB.from_channels(169,  87,   176),  0xa957b0),
        "Assembly":                       (pt.RGB.from_channels(110,  76,   19),   0x6e4c13),
        "Astro":                          (pt.RGB.from_channels(255,  90,   3),    0xff5a03),
        "Asymptote":                      (pt.RGB.from_channels(255,  0,    0),    0xff0000),
        "Augeas":                         (pt.RGB.from_channels(156,  193,  52),   0x9cc134),
        "AutoHotkey":                     (pt.RGB.from_channels(101,  148,  185),  0x6594b9),
        "AutoIt":                         (pt.RGB.from_channels(28,   53,   82),   0x1c3552),
        "Avro IDL":                       (pt.RGB.from_channels(0,    64,   255),  0x0040ff),
        "Awk":                            (pt.RGB.from_channels(195,  14,   155),  0xc30e9b),
        "BASIC":                          (pt.RGB.from_channels(255,  0,    0),    0xff0000),
        "Ballerina":                      (pt.RGB.from_channels(255,  80,   0),    0xff5000),
        "Batchfile":                      (pt.RGB.from_channels(193,  241,  46),   0xc1f12e),
        "Beef":                           (pt.RGB.from_channels(165,  47,   78),   0xa52f4e),
        "Berry":                          (pt.RGB.from_channels(21,   161,  60),   0x15a13c),
        "BibTeX":                         (pt.RGB.from_channels(119,  136,  153),  0x778899),
        "Bicep":                          (pt.RGB.from_channels(81,   154,  186),  0x519aba),
        "Bikeshed":                       (pt.RGB.from_channels(85,   98,   172),  0x5562ac),
        "Bison":                          (pt.RGB.from_channels(106,  70,   63),   0x6a463f),
        "BitBake":                        (pt.RGB.from_channels(0,    188,  228),  0x00bce4),
        "Blade":                          (pt.RGB.from_channels(247,  82,   63),   0xf7523f),
        "BlitzBasic":                     (pt.RGB.from_channels(0,    255,  174),  0x00ffae),
        "BlitzMax":                       (pt.RGB.from_channels(205,  100,  0),    0xcd6400),
        "Bluespec":                       (pt.RGB.from_channels(18,   34,   60),   0x12223c),
        "Boo":                            (pt.RGB.from_channels(212,  190,  193),  0xd4bec1),
        "Boogie":                         (pt.RGB.from_channels(200,  15,   160),  0xc80fa0),
        "Brainfuck":                      (pt.RGB.from_channels(47,   37,   48),   0x2f2530),
        "BrighterScript":                 (pt.RGB.from_channels(102,  170,  187),  0x66aabb),
        "Brightscript":                   (pt.RGB.from_channels(102,  45,   145),  0x662d91),
        "Browserslist":                   (pt.RGB.from_channels(255,  213,  57),   0xffd539),
        "C":                              (pt.RGB.from_channels(85,   85,   85),   0x555555),
        "C#":                             (pt.RGB.from_channels(23,   134,  0),    0x178600),
        "C++":                            (pt.RGB.from_channels(243,  75,   125),  0xf34b7d),
        "CAP CDS":                        (pt.RGB.from_channels(0,    146,  209),  0x0092d1),
        "CLIPS":                          (pt.RGB.from_channels(0,    163,  0),    0x00a300),
        "CMake":                          (pt.RGB.from_channels(218,  52,   52),   0xda3434),
        "COLLADA":                        (pt.RGB.from_channels(241,  164,  43),   0xf1a42b),
        "CSON":                           (pt.RGB.from_channels(36,   71,   118),  0x244776),
        "CSS":                            (pt.RGB.from_channels(86,   61,   124),  0x563d7c),
        "CSV":                            (pt.RGB.from_channels(35,   115,  70),   0x237346),
        "CUE":                            (pt.RGB.from_channels(88,   134,  225),  0x5886e1),
        "CWeb":                           (pt.RGB.from_channels(0,    0,    122),  0x00007a),
        "Cabal Config":                   (pt.RGB.from_channels(72,   52,   101),  0x483465),
        "Cadence":                        (pt.RGB.from_channels(0,    239,  139),  0x00ef8b),
        "Cairo":                          (pt.RGB.from_channels(255,  74,   72),   0xff4a48),
        "CameLIGO":                       (pt.RGB.from_channels(59,   225,  51),   0x3be133),
        "Cap'n Proto":                    (pt.RGB.from_channels(196,  39,   39),   0xc42727),
        "Ceylon":                         (pt.RGB.from_channels(223,  165,  53),   0xdfa535),
        "Chapel":                         (pt.RGB.from_channels(141,  198,  63),   0x8dc63f),
        "ChucK":                          (pt.RGB.from_channels(63,   128,  0),    0x3f8000),
        "Circom":                         (pt.RGB.from_channels(112,  117,  117),  0x707575),
        "Cirru":                          (pt.RGB.from_channels(204,  204,  255),  0xccccff),
        "Clarion":                        (pt.RGB.from_channels(219,  144,  30),   0xdb901e),
        "Clarity":                        (pt.RGB.from_channels(85,   70,   255),  0x5546ff),
        "Classic ASP":                    (pt.RGB.from_channels(106,  64,   253),  0x6a40fd),
        "Clean":                          (pt.RGB.from_channels(63,   133,  175),  0x3f85af),
        "Click":                          (pt.RGB.from_channels(228,  230,  243),  0xe4e6f3),
        "Clojure":                        (pt.RGB.from_channels(219,  88,   85),   0xdb5855),
        "Closure Templates":              (pt.RGB.from_channels(13,   148,  143),  0x0d948f),
        "Cloud Firestore Security Rules": (pt.RGB.from_channels(255,  160,  0),    0xffa000),
        "CodeQL":                         (pt.RGB.from_channels(20,   15,   70),   0x140f46),
        "CoffeeScript":                   (pt.RGB.from_channels(36,   71,   118),  0x244776),
        "ColdFusion CFC":                 (pt.RGB.from_channels(237,  44,   214),  0xed2cd6),
        "ColdFusion":                     (pt.RGB.from_channels(237,  44,   214),  0xed2cd6),
        "Common Lisp":                    (pt.RGB.from_channels(63,   182,  139),  0x3fb68b),
        "Common Workflow Language":       (pt.RGB.from_channels(181,  49,   76),   0xb5314c),
        "Component Pascal":               (pt.RGB.from_channels(176,  206,  78),   0xb0ce4e),
        "Coq":                            (pt.RGB.from_channels(208,  182,  140),  0xd0b68c),
        "Crystal":                        (pt.RGB.from_channels(0,    1,    0),    0x000100),
        "Csound Document":                (pt.RGB.from_channels(26,   26,   26),   0x1a1a1a),
        "Csound Score":                   (pt.RGB.from_channels(26,   26,   26),   0x1a1a1a),
        "Csound":                         (pt.RGB.from_channels(26,   26,   26),   0x1a1a1a),
        "Cuda":                           (pt.RGB.from_channels(58,   78,   58),   0x3a4e3a),
        "Curry":                          (pt.RGB.from_channels(83,   18,   66),   0x531242),
        "Cypher":                         (pt.RGB.from_channels(52,   192,  235),  0x34c0eb),
        "Cython":                         (pt.RGB.from_channels(254,  223,  91),   0xfedf5b),
        "D":                              (pt.RGB.from_channels(186,  89,   94),   0xba595e),
        "DM":                             (pt.RGB.from_channels(68,   114,  101),  0x447265),
        "Dafny":                          (pt.RGB.from_channels(255,  236,  37),   0xffec25),
        "Darcs Patch":                    (pt.RGB.from_channels(142,  255,  35),   0x8eff23),
        "Dart":                           (pt.RGB.from_channels(0,    180,  171),  0x00b4ab),
        "DataWeave":                      (pt.RGB.from_channels(0,    58,   82),   0x003a52),
        "Debian Package Control File":    (pt.RGB.from_channels(215,  7,    81),   0xd70751),
        "DenizenScript":                  (pt.RGB.from_channels(251,  238,  150),  0xfbee96),
        "Dhall":                          (pt.RGB.from_channels(223,  175,  255),  0xdfafff),
        "DirectX 3D File":                (pt.RGB.from_channels(170,  206,  96),   0xaace60),
        "Dockerfile":                     (pt.RGB.from_channels(56,   77,   84),   0x384d54),
        "Dogescript":                     (pt.RGB.from_channels(204,  167,  96),   0xcca760),
        "Dotenv":                         (pt.RGB.from_channels(229,  213,  89),   0xe5d559),
        "Dylan":                          (pt.RGB.from_channels(108,  97,   110),  0x6c616e),
        "E":                              (pt.RGB.from_channels(204,  206,  53),   0xccce35),
        "ECL":                            (pt.RGB.from_channels(138,  18,   103),  0x8a1267),
        "ECLiPSe":                        (pt.RGB.from_channels(0,    29,   157),  0x001d9d),
        "EJS":                            (pt.RGB.from_channels(169,  30,   80),   0xa91e50),
        "EQ":                             (pt.RGB.from_channels(167,  134,  73),   0xa78649),
        "Earthly":                        (pt.RGB.from_channels(42,   240,  255),  0x2af0ff),
        "Easybuild":                      (pt.RGB.from_channels(6,    148,  6),    0x069406),
        "Ecere Projects":                 (pt.RGB.from_channels(145,  57,   96),   0x913960),
        "Ecmarkup":                       (pt.RGB.from_channels(235,  129,  49),   0xeb8131),
        "EditorConfig":                   (pt.RGB.from_channels(255,  241,  242),  0xfff1f2),
        "Eiffel":                         (pt.RGB.from_channels(77,   105,  119),  0x4d6977),
        "Elixir":                         (pt.RGB.from_channels(110,  74,   126),  0x6e4a7e),
        "Elm":                            (pt.RGB.from_channels(96,   181,  204),  0x60b5cc),
        "Elvish Transcript":              (pt.RGB.from_channels(85,   187,  85),   0x55bb55),
        "Elvish":                         (pt.RGB.from_channels(85,   187,  85),   0x55bb55),
        "Emacs Lisp":                     (pt.RGB.from_channels(192,  101,  219),  0xc065db),
        "EmberScript":                    (pt.RGB.from_channels(255,  244,  243),  0xfff4f3),
        "Erlang":                         (pt.RGB.from_channels(184,  57,   152),  0xb83998),
        "Euphoria":                       (pt.RGB.from_channels(255,  121,  11),   0xff790b),
        "F#":                             (pt.RGB.from_channels(184,  69,   252),  0xb845fc),
        "F*":                             (pt.RGB.from_channels(87,   46,   48),   0x572e30),
        "FIGlet Font":                    (pt.RGB.from_channels(255,  221,  187),  0xffddbb),
        "FLUX":                           (pt.RGB.from_channels(136,  204,  255),  0x88ccff),
        "Factor":                         (pt.RGB.from_channels(99,   103,  70),   0x636746),
        "Fancy":                          (pt.RGB.from_channels(123,  157,  180),  0x7b9db4),
        "Fantom":                         (pt.RGB.from_channels(20,   37,   60),   0x14253c),
        "Faust":                          (pt.RGB.from_channels(195,  114,  64),   0xc37240),
        "Fennel":                         (pt.RGB.from_channels(255,  243,  215),  0xfff3d7),
        "Filebench WML":                  (pt.RGB.from_channels(246,  185,  0),    0xf6b900),
        "Fluent":                         (pt.RGB.from_channels(255,  204,  51),   0xffcc33),
        "Forth":                          (pt.RGB.from_channels(52,   23,   8),    0x341708),
        "Fortran Free Form":              (pt.RGB.from_channels(77,   65,   177),  0x4d41b1),
        "Fortran":                        (pt.RGB.from_channels(77,   65,   177),  0x4d41b1),
        "FreeBasic":                      (pt.RGB.from_channels(20,   26,   201),  0x141ac9),
        "FreeMarker":                     (pt.RGB.from_channels(0,    80,   178),  0x0050b2),
        "Frege":                          (pt.RGB.from_channels(0,    202,  254),  0x00cafe),
        "Futhark":                        (pt.RGB.from_channels(95,   2,    31),   0x5f021f),
        "G-code":                         (pt.RGB.from_channels(208,  140,  242),  0xd08cf2),
        "GAML":                           (pt.RGB.from_channels(255,  199,  102),  0xffc766),
        "GAMS":                           (pt.RGB.from_channels(244,  154,  34),   0xf49a22),
        "GAP":                            (pt.RGB.from_channels(0,    0,    204),  0x0000cc),
        "GCC Machine Description":        (pt.RGB.from_channels(255,  207,  171),  0xffcfab),
        "GDScript":                       (pt.RGB.from_channels(53,   85,   112),  0x355570),
        "GEDCOM":                         (pt.RGB.from_channels(0,    48,   88),   0x003058),
        "GLSL":                           (pt.RGB.from_channels(86,   134,  165),  0x5686a5),
        "GSC":                            (pt.RGB.from_channels(255,  104,  0),    0xff6800),
        "Game Maker Language":            (pt.RGB.from_channels(113,  180,  23),   0x71b417),
        "Gemfile.lock":                   (pt.RGB.from_channels(112,  21,   22),   0x701516),
        "Gemini":                         (pt.RGB.from_channels(255,  105,  0),    0xff6900),
        "Genero Forms":                   (pt.RGB.from_channels(216,  223,  57),   0xd8df39),
        "Genero":                         (pt.RGB.from_channels(99,   64,   142),  0x63408e),
        "Genie":                          (pt.RGB.from_channels(251,  133,  93),   0xfb855d),
        "Genshi":                         (pt.RGB.from_channels(149,  21,   49),   0x951531),
        "Gentoo Ebuild":                  (pt.RGB.from_channels(148,  0,    255),  0x9400ff),
        "Gentoo Eclass":                  (pt.RGB.from_channels(148,  0,    255),  0x9400ff),
        "Gerber Image":                   (pt.RGB.from_channels(210,  11,   0),    0xd20b00),
        "Gherkin":                        (pt.RGB.from_channels(91,   32,   99),   0x5b2063),
        "Git Attributes":                 (pt.RGB.from_channels(244,  77,   39),   0xf44d27),
        "Git Config":                     (pt.RGB.from_channels(244,  77,   39),   0xf44d27),
        "Git Revision List":              (pt.RGB.from_channels(244,  77,   39),   0xf44d27),
        "Gleam":                          (pt.RGB.from_channels(255,  175,  243),  0xffaff3),
        "Glyph":                          (pt.RGB.from_channels(193,  172,  127),  0xc1ac7f),
        "Gnuplot":                        (pt.RGB.from_channels(240,  169,  240),  0xf0a9f0),
        "Go Checksums":                   (pt.RGB.from_channels(0,    173,  216),  0x00add8),
        "Go Module":                      (pt.RGB.from_channels(0,    173,  216),  0x00add8),
        "Go":                             (pt.RGB.from_channels(0,    173,  216),  0x00add8),
        "Godot Resource":                 (pt.RGB.from_channels(53,   85,   112),  0x355570),
        "Golo":                           (pt.RGB.from_channels(136,  86,   42),   0x88562a),
        "Gosu":                           (pt.RGB.from_channels(130,  147,  127),  0x82937f),
        "Grace":                          (pt.RGB.from_channels(97,   95,   139),  0x615f8b),
        "Gradle":                         (pt.RGB.from_channels(2,    48,   58),   0x02303a),
        "Grammatical Framework":          (pt.RGB.from_channels(255,  0,    0),    0xff0000),
        "GraphQL":                        (pt.RGB.from_channels(225,  0,    152),  0xe10098),
        "Graphviz (DOT)":                 (pt.RGB.from_channels(37,   150,  190),  0x2596be),
        "Groovy Server Pages":            (pt.RGB.from_channels(66,   152,  184),  0x4298b8),
        "Groovy":                         (pt.RGB.from_channels(66,   152,  184),  0x4298b8),
        "HAProxy":                        (pt.RGB.from_channels(16,   109,  169),  0x106da9),
        "HCL":                            (pt.RGB.from_channels(132,  79,   186),  0x844fba),
        "HLSL":                           (pt.RGB.from_channels(170,  206,  96),   0xaace60),
        "HOCON":                          (pt.RGB.from_channels(159,  248,  238),  0x9ff8ee),
        "HTML":                           (pt.RGB.from_channels(227,  76,   38),   0xe34c26),
        "HTML+ECR":                       (pt.RGB.from_channels(46,   16,   82),   0x2e1052),
        "HTML+EEX":                       (pt.RGB.from_channels(110,  74,   126),  0x6e4a7e),
        "HTML+ERB":                       (pt.RGB.from_channels(112,  21,   22),   0x701516),
        "HTML+PHP":                       (pt.RGB.from_channels(79,   93,   149),  0x4f5d95),
        "HTML+Razor":                     (pt.RGB.from_channels(81,   43,   228),  0x512be4),
        "HTTP":                           (pt.RGB.from_channels(0,    92,   156),  0x005c9c),
        "HXML":                           (pt.RGB.from_channels(246,  135,  18),   0xf68712),
        "Hack":                           (pt.RGB.from_channels(135,  135,  135),  0x878787),
        "Haml":                           (pt.RGB.from_channels(236,  226,  169),  0xece2a9),
        "Handlebars":                     (pt.RGB.from_channels(247,  147,  30),   0xf7931e),
        "Harbour":                        (pt.RGB.from_channels(14,   96,   227),  0x0e60e3),
        "Haskell":                        (pt.RGB.from_channels(94,   80,   134),  0x5e5086),
        "Haxe":                           (pt.RGB.from_channels(223,  121,  0),    0xdf7900),
        "HiveQL":                         (pt.RGB.from_channels(220,  226,  0),    0xdce200),
        "HolyC":                          (pt.RGB.from_channels(255,  239,  175),  0xffefaf),
        "Hy":                             (pt.RGB.from_channels(119,  144,  178),  0x7790b2),
        "IDL":                            (pt.RGB.from_channels(163,  82,   47),   0xa3522f),
        "IGOR Pro":                       (pt.RGB.from_channels(0,    0,    204),  0x0000cc),
        "INI":                            (pt.RGB.from_channels(209,  219,  224),  0xd1dbe0),
        "Idris":                          (pt.RGB.from_channels(179,  0,    0),    0xb30000),
        "Ignore List":                    (pt.RGB.from_channels(0,    0,    0),    0x000000),
        "ImageJ Macro":                   (pt.RGB.from_channels(153,  170,  255),  0x99aaff),
        "Imba":                           (pt.RGB.from_channels(22,   206,  198),  0x16cec6),
        "Inno Setup":                     (pt.RGB.from_channels(38,   75,   153),  0x264b99),
        "Io":                             (pt.RGB.from_channels(169,  24,   141),  0xa9188d),
        "Ioke":                           (pt.RGB.from_channels(7,    129,  147),  0x078193),
        "Isabelle ROOT":                  (pt.RGB.from_channels(254,  254,  0),    0xfefe00),
        "Isabelle":                       (pt.RGB.from_channels(254,  254,  0),    0xfefe00),
        "J":                              (pt.RGB.from_channels(158,  237,  255),  0x9eedff),
        "JAR Manifest":                   (pt.RGB.from_channels(176,  114,  25),   0xb07219),
        "JCL":                            (pt.RGB.from_channels(217,  14,   9),    0xd90e09),
        "JFlex":                          (pt.RGB.from_channels(219,  202,  0),    0xdbca00),
        "JSON with Comments":             (pt.RGB.from_channels(41,   41,   41),   0x292929),
        "JSON":                           (pt.RGB.from_channels(41,   41,   41),   0x292929),
        "JSON5":                          (pt.RGB.from_channels(38,   124,  185),  0x267cb9),
        "JSONLD":                         (pt.RGB.from_channels(12,   71,   156),  0x0c479c),
        "JSONiq":                         (pt.RGB.from_channels(64,   212,  126),  0x40d47e),
        "Janet":                          (pt.RGB.from_channels(8,    134,  165),  0x0886a5),
        "Jasmin":                         (pt.RGB.from_channels(208,  54,   0),    0xd03600),
        "Java Properties":                (pt.RGB.from_channels(42,   98,   119),  0x2a6277),
        "Java Server Pages":              (pt.RGB.from_channels(42,   98,   119),  0x2a6277),
        "Java":                           (pt.RGB.from_channels(176,  114,  25),   0xb07219),
        "JavaScript":                     (pt.RGB.from_channels(241,  224,  90),   0xf1e05a),
        "JavaScript+ERB":                 (pt.RGB.from_channels(241,  224,  90),   0xf1e05a),
        "Jest Snapshot":                  (pt.RGB.from_channels(21,   194,  19),   0x15c213),
        "JetBrains MPS":                  (pt.RGB.from_channels(33,   215,  137),  0x21d789),
        "Jinja":                          (pt.RGB.from_channels(165,  42,   34),   0xa52a22),
        "Jison Lex":                      (pt.RGB.from_channels(86,   179,  203),  0x56b3cb),
        "Jison":                          (pt.RGB.from_channels(86,   179,  203),  0x56b3cb),
        "Jolie":                          (pt.RGB.from_channels(132,  49,   121),  0x843179),
        "Jsonnet":                        (pt.RGB.from_channels(0,    100,  189),  0x0064bd),
        "Julia":                          (pt.RGB.from_channels(162,  112,  186),  0xa270ba),
        "Jupyter Notebook":               (pt.RGB.from_channels(218,  91,   11),   0xda5b0b),
        "Just":                           (pt.RGB.from_channels(56,   77,   84),   0x384d54),
        "KRL":                            (pt.RGB.from_channels(40,   67,   10),   0x28430a),
        "Kaitai Struct":                  (pt.RGB.from_channels(119,  59,   55),   0x773b37),
        "KakouneScript":                  (pt.RGB.from_channels(111,  128,  66),   0x6f8042),
        "KerboScript":                    (pt.RGB.from_channels(65,   173,  240),  0x41adf0),
        "KiCad Layout":                   (pt.RGB.from_channels(47,   74,   171),  0x2f4aab),
        "KiCad Legacy Layout":            (pt.RGB.from_channels(47,   74,   171),  0x2f4aab),
        "KiCad Schematic":                (pt.RGB.from_channels(47,   74,   171),  0x2f4aab),
        "Kotlin":                         (pt.RGB.from_channels(169,  123,  255),  0xa97bff),
        "LFE":                            (pt.RGB.from_channels(76,   48,   35),   0x4c3023),
        "LLVM":                           (pt.RGB.from_channels(24,   86,   25),   0x185619),
        "LOLCODE":                        (pt.RGB.from_channels(204,  153,  0),    0xcc9900),
        "LSL":                            (pt.RGB.from_channels(61,   153,  112),  0x3d9970),
        "LabVIEW":                        (pt.RGB.from_channels(254,  222,  6),    0xfede06),
        "Lark":                           (pt.RGB.from_channels(41,   128,  185),  0x2980b9),
        "Lasso":                          (pt.RGB.from_channels(153,  153,  153),  0x999999),
        "Latte":                          (pt.RGB.from_channels(242,  165,  66),   0xf2a542),
        "Less":                           (pt.RGB.from_channels(29,   54,   93),   0x1d365d),
        "Lex":                            (pt.RGB.from_channels(219,  202,  0),    0xdbca00),
        "LigoLANG":                       (pt.RGB.from_channels(14,   116,  255),  0x0e74ff),
        "LilyPond":                       (pt.RGB.from_channels(156,  204,  124),  0x9ccc7c),
        "Liquid":                         (pt.RGB.from_channels(103,  184,  222),  0x67b8de),
        "Literate Agda":                  (pt.RGB.from_channels(49,   86,   101),  0x315665),
        "Literate CoffeeScript":          (pt.RGB.from_channels(36,   71,   118),  0x244776),
        "Literate Haskell":               (pt.RGB.from_channels(94,   80,   134),  0x5e5086),
        "LiveScript":                     (pt.RGB.from_channels(73,   152,  134),  0x499886),
        "Logtalk":                        (pt.RGB.from_channels(41,   91,   154),  0x295b9a),
        "LookML":                         (pt.RGB.from_channels(101,  43,   129),  0x652b81),
        "Lua":                            (pt.RGB.from_channels(0,    0,    128),  0x000080),
        "MATLAB":                         (pt.RGB.from_channels(225,  103,  55),   0xe16737),
        "MAXScript":                      (pt.RGB.from_channels(0,    166,  166),  0x00a6a6),
        "MLIR":                           (pt.RGB.from_channels(94,   200,  219),  0x5ec8db),
        "MQL4":                           (pt.RGB.from_channels(98,   168,  214),  0x62a8d6),
        "MQL5":                           (pt.RGB.from_channels(74,   118,  184),  0x4a76b8),
        "MTML":                           (pt.RGB.from_channels(183,  225,  244),  0xb7e1f4),
        "Macaulay2":                      (pt.RGB.from_channels(216,  255,  255),  0xd8ffff),
        "Makefile":                       (pt.RGB.from_channels(66,   120,  25),   0x427819),
        "Mako":                           (pt.RGB.from_channels(126,  133,  141),  0x7e858d),
        "Markdown":                       (pt.RGB.from_channels(8,    63,   161),  0x083fa1),
        "Marko":                          (pt.RGB.from_channels(66,   191,  242),  0x42bff2),
        "Mask":                           (pt.RGB.from_channels(249,  119,  50),   0xf97732),
        "Mathematica":                    (pt.RGB.from_channels(221,  17,   0),    0xdd1100),
        "Max":                            (pt.RGB.from_channels(196,  167,  156),  0xc4a79c),
        "Mercury":                        (pt.RGB.from_channels(255,  43,   43),   0xff2b2b),
        "Mermaid":                        (pt.RGB.from_channels(255,  54,   112),  0xff3670),
        "Meson":                          (pt.RGB.from_channels(0,    120,  0),    0x007800),
        "Metal":                          (pt.RGB.from_channels(143,  20,   233),  0x8f14e9),
        "MiniYAML":                       (pt.RGB.from_channels(255,  17,   17),   0xff1111),
        "Mint":                           (pt.RGB.from_channels(2,    176,  70),   0x02b046),
        "Mirah":                          (pt.RGB.from_channels(199,  169,  56),   0xc7a938),
        "Modelica":                       (pt.RGB.from_channels(222,  29,   49),   0xde1d31),
        "Modula-2":                       (pt.RGB.from_channels(16,   37,   63),   0x10253f),
        "Modula-3":                       (pt.RGB.from_channels(34,   51,   136),  0x223388),
        "Monkey C":                       (pt.RGB.from_channels(141,  103,  71),   0x8d6747),
        "MoonScript":                     (pt.RGB.from_channels(255,  69,   133),  0xff4585),
        "Motoko":                         (pt.RGB.from_channels(251,  176,  59),   0xfbb03b),
        "Motorola 68K Assembly":          (pt.RGB.from_channels(0,    93,   170),  0x005daa),
        "Move":                           (pt.RGB.from_channels(74,   19,   122),  0x4a137a),
        "Mustache":                       (pt.RGB.from_channels(114,  75,   59),   0x724b3b),
        "NCL":                            (pt.RGB.from_channels(40,   67,   31),   0x28431f),
        "NPM Config":                     (pt.RGB.from_channels(203,  56,   55),   0xcb3837),
        "NWScript":                       (pt.RGB.from_channels(17,   21,   34),   0x111522),
        "Nasal":                          (pt.RGB.from_channels(29,   44,   78),   0x1d2c4e),
        "Nearley":                        (pt.RGB.from_channels(153,  0,    0),    0x990000),
        "Nemerle":                        (pt.RGB.from_channels(61,   60,   110),  0x3d3c6e),
        "NetLinx":                        (pt.RGB.from_channels(10,   160,  255),  0x0aa0ff),
        "NetLinx+ERB":                    (pt.RGB.from_channels(116,  127,  170),  0x747faa),
        "NetLogo":                        (pt.RGB.from_channels(255,  99,   117),  0xff6375),
        "NewLisp":                        (pt.RGB.from_channels(135,  174,  215),  0x87aed7),
        "Nextflow":                       (pt.RGB.from_channels(58,   196,  134),  0x3ac486),
        "Nginx":                          (pt.RGB.from_channels(0,    150,  57),   0x009639),
        "Nim":                            (pt.RGB.from_channels(255,  194,  0),    0xffc200),
        "Nit":                            (pt.RGB.from_channels(0,    153,  23),   0x009917),
        "Nix":                            (pt.RGB.from_channels(126,  126,  255),  0x7e7eff),
        "Nu":                             (pt.RGB.from_channels(201,  223,  64),   0xc9df40),
        "NumPy":                          (pt.RGB.from_channels(156,  138,  249),  0x9c8af9),
        "Nunjucks":                       (pt.RGB.from_channels(61,   129,  55),   0x3d8137),
        "OASv2-json":                     (pt.RGB.from_channels(133,  234,  45),   0x85ea2d),
        "OASv2-yaml":                     (pt.RGB.from_channels(133,  234,  45),   0x85ea2d),
        "OASv3-json":                     (pt.RGB.from_channels(133,  234,  45),   0x85ea2d),
        "OASv3-yaml":                     (pt.RGB.from_channels(133,  234,  45),   0x85ea2d),
        "OCaml":                          (pt.RGB.from_channels(59,   225,  51),   0x3be133),
        "ObjectScript":                   (pt.RGB.from_channels(66,   72,   147),  0x424893),
        "Objective-C":                    (pt.RGB.from_channels(67,   142,  255),  0x438eff),
        "Objective-C++":                  (pt.RGB.from_channels(104,  102,  251),  0x6866fb),
        "Objective-J":                    (pt.RGB.from_channels(255,  12,   90),   0xff0c5a),
        "Odin":                           (pt.RGB.from_channels(96,   175,  254),  0x60affe),
        "Omgrofl":                        (pt.RGB.from_channels(202,  187,  255),  0xcabbff),
        "Opal":                           (pt.RGB.from_channels(247,  237,  224),  0xf7ede0),
        "Open Policy Agent":              (pt.RGB.from_channels(125,  145,  153),  0x7d9199),
        "OpenAPI Specification v2":       (pt.RGB.from_channels(133,  234,  45),   0x85ea2d),
        "OpenAPI Specification v3":       (pt.RGB.from_channels(133,  234,  45),   0x85ea2d),
        "OpenCL":                         (pt.RGB.from_channels(237,  46,   45),   0xed2e2d),
        "OpenEdge ABL":                   (pt.RGB.from_channels(92,   230,  0),    0x5ce600),
        "OpenQASM":                       (pt.RGB.from_channels(170,  112,  255),  0xaa70ff),
        "OpenSCAD":                       (pt.RGB.from_channels(229,  205,  69),   0xe5cd45),
        "Option List":                    (pt.RGB.from_channels(71,   103,  50),   0x476732),
        "Org":                            (pt.RGB.from_channels(119,  170,  153),  0x77aa99),
        "Oxygene":                        (pt.RGB.from_channels(205,  208,  227),  0xcdd0e3),
        "Oz":                             (pt.RGB.from_channels(250,  183,  56),   0xfab738),
        "P4":                             (pt.RGB.from_channels(112,  85,   181),  0x7055b5),
        "PDDL":                           (pt.RGB.from_channels(13,   0,    255),  0x0d00ff),
        "PEG.js":                         (pt.RGB.from_channels(35,   77,   107),  0x234d6b),
        "PHP":                            (pt.RGB.from_channels(79,   93,   149),  0x4f5d95),
        "PLSQL":                          (pt.RGB.from_channels(218,  216,  216),  0xdad8d8),
        "PLpgSQL":                        (pt.RGB.from_channels(51,   103,  144),  0x336790),
        "POV-Ray SDL":                    (pt.RGB.from_channels(107,  172,  101),  0x6bac65),
        "Pan":                            (pt.RGB.from_channels(204,  0,    0),    0xcc0000),
        "Papyrus":                        (pt.RGB.from_channels(102,  0,    204),  0x6600cc),
        "Parrot":                         (pt.RGB.from_channels(243,  202,  10),   0xf3ca0a),
        "Pascal":                         (pt.RGB.from_channels(227,  241,  113),  0xe3f171),
        "Pawn":                           (pt.RGB.from_channels(219,  178,  132),  0xdbb284),
        "Pep8":                           (pt.RGB.from_channels(199,  111,  91),   0xc76f5b),
        "Perl":                           (pt.RGB.from_channels(2,    152,  195),  0x0298c3),
        "PicoLisp":                       (pt.RGB.from_channels(96,   103,  175),  0x6067af),
        "PigLatin":                       (pt.RGB.from_channels(252,  215,  222),  0xfcd7de),
        "Pike":                           (pt.RGB.from_channels(0,    83,   144),  0x005390),
        "PlantUML":                       (pt.RGB.from_channels(251,  189,  22),   0xfbbd16),
        "PogoScript":                     (pt.RGB.from_channels(216,  0,    116),  0xd80074),
        "Polar":                          (pt.RGB.from_channels(174,  129,  255),  0xae81ff),
        "Portugol":                       (pt.RGB.from_channels(248,  189,  0),    0xf8bd00),
        "PostCSS":                        (pt.RGB.from_channels(220,  58,   12),   0xdc3a0c),
        "PostScript":                     (pt.RGB.from_channels(218,  41,   28),   0xda291c),
        "PowerBuilder":                   (pt.RGB.from_channels(143,  15,   141),  0x8f0f8d),
        "PowerShell":                     (pt.RGB.from_channels(1,    36,   86),   0x012456),
        "Prisma":                         (pt.RGB.from_channels(12,   52,   75),   0x0c344b),
        "Processing":                     (pt.RGB.from_channels(0,    150,  216),  0x0096d8),
        "Procfile":                       (pt.RGB.from_channels(59,   47,   99),   0x3b2f63),
        "Prolog":                         (pt.RGB.from_channels(116,  40,   60),   0x74283c),
        "Promela":                        (pt.RGB.from_channels(222,  0,    0),    0xde0000),
        "Propeller Spin":                 (pt.RGB.from_channels(127,  162,  167),  0x7fa2a7),
        "Pug":                            (pt.RGB.from_channels(168,  100,  84),   0xa86454),
        "Puppet":                         (pt.RGB.from_channels(48,   43,   109),  0x302b6d),
        "PureBasic":                      (pt.RGB.from_channels(90,   105,  134),  0x5a6986),
        "PureScript":                     (pt.RGB.from_channels(29,   34,   45),   0x1d222d),
        "Pyret":                          (pt.RGB.from_channels(238,  30,   16),   0xee1e10),
        "Python console":                 (pt.RGB.from_channels(53,   114,  165),  0x3572a5),
        "Python traceback":               (pt.RGB.from_channels(53,   114,  165),  0x3572a5),
        "Python":                         (pt.RGB.from_channels(53,   114,  165),  0x3572a5),
        "Q#":                             (pt.RGB.from_channels(254,  214,  89),   0xfed659),
        "QML":                            (pt.RGB.from_channels(68,   165,  28),   0x44a51c),
        "Qt Script":                      (pt.RGB.from_channels(0,    184,  65),   0x00b841),
        "Quake":                          (pt.RGB.from_channels(136,  34,   51),   0x882233),
        "R":                              (pt.RGB.from_channels(25,   140,  231),  0x198ce7),
        "RAML":                           (pt.RGB.from_channels(119,  217,  251),  0x77d9fb),
        "RDoc":                           (pt.RGB.from_channels(112,  21,   22),   0x701516),
        "REXX":                           (pt.RGB.from_channels(217,  14,   9),    0xd90e09),
        "RMarkdown":                      (pt.RGB.from_channels(25,   140,  231),  0x198ce7),
        "RPGLE":                          (pt.RGB.from_channels(43,   222,  33),   0x2bde21),
        "RUNOFF":                         (pt.RGB.from_channels(102,  90,   78),   0x665a4e),
        "Racket":                         (pt.RGB.from_channels(60,   92,   170),  0x3c5caa),
        "Ragel":                          (pt.RGB.from_channels(157,  82,   0),    0x9d5200),
        "Raku":                           (pt.RGB.from_channels(0,    0,    251),  0x0000fb),
        "Rascal":                         (pt.RGB.from_channels(255,  250,  160),  0xfffaa0),
        "ReScript":                       (pt.RGB.from_channels(237,  80,   81),   0xed5051),
        "Reason":                         (pt.RGB.from_channels(255,  88,   71),   0xff5847),
        "ReasonLIGO":                     (pt.RGB.from_channels(255,  88,   71),   0xff5847),
        "Rebol":                          (pt.RGB.from_channels(53,   138,  91),   0x358a5b),
        "Record Jar":                     (pt.RGB.from_channels(6,    115,  186),  0x0673ba),
        "Red":                            (pt.RGB.from_channels(245,  0,    0),    0xf50000),
        "Regular Expression":             (pt.RGB.from_channels(0,    154,  0),    0x009a00),
        "Ren'Py":                         (pt.RGB.from_channels(255,  127,  127),  0xff7f7f),
        "Ring":                           (pt.RGB.from_channels(45,   84,   203),  0x2d54cb),
        "Riot":                           (pt.RGB.from_channels(167,  30,   73),   0xa71e49),
        "RobotFramework":                 (pt.RGB.from_channels(0,    192,  181),  0x00c0b5),
        "Roff Manpage":                   (pt.RGB.from_channels(236,  222,  190),  0xecdebe),
        "Roff":                           (pt.RGB.from_channels(236,  222,  190),  0xecdebe),
        "Rouge":                          (pt.RGB.from_channels(204,  0,    136),  0xcc0088),
        "RouterOS Script":                (pt.RGB.from_channels(222,  57,   65),   0xde3941),
        "Ruby":                           (pt.RGB.from_channels(112,  21,   22),   0x701516),
        "Rust":                           (pt.RGB.from_channels(222,  165,  132),  0xdea584),
        "SAS":                            (pt.RGB.from_channels(179,  73,   54),   0xb34936),
        "SCSS":                           (pt.RGB.from_channels(198,  83,   140),  0xc6538c),
        "SPARQL":                         (pt.RGB.from_channels(12,   69,   151),  0x0c4597),
        "SQF":                            (pt.RGB.from_channels(63,   63,   63),   0x3f3f3f),
        "SQL":                            (pt.RGB.from_channels(227,  140,  0),    0xe38c00),
        "SQLPL":                          (pt.RGB.from_channels(227,  140,  0),    0xe38c00),
        "SRecode Template":               (pt.RGB.from_channels(52,   138,  52),   0x348a34),
        "STL":                            (pt.RGB.from_channels(55,   59,   94),   0x373b5e),
        "SVG":                            (pt.RGB.from_channels(255,  153,  0),    0xff9900),
        "SaltStack":                      (pt.RGB.from_channels(100,  100,  100),  0x646464),
        "Sass":                           (pt.RGB.from_channels(165,  59,   112),  0xa53b70),
        "Scala":                          (pt.RGB.from_channels(194,  45,   64),   0xc22d40),
        "Scaml":                          (pt.RGB.from_channels(189,  24,   26),   0xbd181a),
        "Scenic":                         (pt.RGB.from_channels(253,  199,  0),    0xfdc700),
        "Scheme":                         (pt.RGB.from_channels(30,   74,   236),  0x1e4aec),
        "Scilab":                         (pt.RGB.from_channels(202,  15,   33),   0xca0f21),
        "Self":                           (pt.RGB.from_channels(5,    121,  170),  0x0579aa),
        "ShaderLab":                      (pt.RGB.from_channels(34,   44,   55),   0x222c37),
        "Shell":                          (pt.RGB.from_channels(137,  224,  81),   0x89e051),
        "ShellCheck Config":              (pt.RGB.from_channels(206,  207,  203),  0xcecfcb),
        "Shen":                           (pt.RGB.from_channels(18,   15,   20),   0x120f14),
        "Simple File Verification":       (pt.RGB.from_channels(201,  191,  237),  0xc9bfed),
        "Singularity":                    (pt.RGB.from_channels(100,  230,  173),  0x64e6ad),
        "Slash":                          (pt.RGB.from_channels(0,    126,  255),  0x007eff),
        "Slice":                          (pt.RGB.from_channels(0,    63,   162),  0x003fa2),
        "Slim":                           (pt.RGB.from_channels(43,   43,   43),   0x2b2b2b),
        "SmPL":                           (pt.RGB.from_channels(201,  73,   73),   0xc94949),
        "Smalltalk":                      (pt.RGB.from_channels(89,   103,  6),    0x596706),
        "Smarty":                         (pt.RGB.from_channels(240,  192,  64),   0xf0c040),
        "Smithy":                         (pt.RGB.from_channels(196,  69,   54),   0xc44536),
        "Snakemake":                      (pt.RGB.from_channels(65,   145,  121),  0x419179),
        "Solidity":                       (pt.RGB.from_channels(170,  103,  70),   0xaa6746),
        "SourcePawn":                     (pt.RGB.from_channels(246,  158,  29),   0xf69e1d),
        "Squirrel":                       (pt.RGB.from_channels(128,  0,    0),    0x800000),
        "Stan":                           (pt.RGB.from_channels(178,  1,    29),   0xb2011d),
        "Standard ML":                    (pt.RGB.from_channels(220,  86,   109),  0xdc566d),
        "Starlark":                       (pt.RGB.from_channels(118,  210,  117),  0x76d275),
        "Stata":                          (pt.RGB.from_channels(26,   95,   145),  0x1a5f91),
        "StringTemplate":                 (pt.RGB.from_channels(63,   179,  79),   0x3fb34f),
        "Stylus":                         (pt.RGB.from_channels(255,  99,   71),   0xff6347),
        "SubRip Text":                    (pt.RGB.from_channels(158,  1,    1),    0x9e0101),
        "SugarSS":                        (pt.RGB.from_channels(47,   204,  159),  0x2fcc9f),
        "SuperCollider":                  (pt.RGB.from_channels(70,   57,   11),   0x46390b),
        "Svelte":                         (pt.RGB.from_channels(255,  62,   0),    0xff3e00),
        "Sway":                           (pt.RGB.from_channels(222,  165,  132),  0xdea584),
        "Swift":                          (pt.RGB.from_channels(240,  81,   56),   0xf05138),
        "SystemVerilog":                  (pt.RGB.from_channels(218,  225,  194),  0xdae1c2),
        "TI Program":                     (pt.RGB.from_channels(160,  170,  135),  0xa0aa87),
        "TLA":                            (pt.RGB.from_channels(75,   0,    121),  0x4b0079),
        "TOML":                           (pt.RGB.from_channels(156,  66,   33),   0x9c4221),
        "TSQL":                           (pt.RGB.from_channels(227,  140,  0),    0xe38c00),
        "TSV":                            (pt.RGB.from_channels(35,   115,  70),   0x237346),
        "TSX":                            (pt.RGB.from_channels(49,   120,  198),  0x3178c6),
        "TXL":                            (pt.RGB.from_channels(1,    120,  184),  0x0178b8),
        "Talon":                          (pt.RGB.from_channels(51,   51,   51),   0x333333),
        "Tcl":                            (pt.RGB.from_channels(228,  204,  152),  0xe4cc98),
        "TeX":                            (pt.RGB.from_channels(61,   97,   23),   0x3d6117),
        "Terra":                          (pt.RGB.from_channels(0,    0,    76),   0x00004c),
        "TextMate Properties":            (pt.RGB.from_channels(223,  102,  228),  0xdf66e4),
        "Textile":                        (pt.RGB.from_channels(255,  231,  172),  0xffe7ac),
        "Thrift":                         (pt.RGB.from_channels(209,  33,   39),   0xd12127),
        "Turing":                         (pt.RGB.from_channels(207,  20,   43),   0xcf142b),
        "Twig":                           (pt.RGB.from_channels(193,  208,  38),   0xc1d026),
        "TypeScript":                     (pt.RGB.from_channels(49,   120,  198),  0x3178c6),
        "Unified Parallel C":             (pt.RGB.from_channels(78,   54,   23),   0x4e3617),
        "Unity3D Asset":                  (pt.RGB.from_channels(34,   44,   55),   0x222c37),
        "Unknown Language":               (pt.RGB.from_channels(31,   154,  239),  0x1f9aef),
        "Uno":                            (pt.RGB.from_channels(153,  51,   204),  0x9933cc),
        "UnrealScript":                   (pt.RGB.from_channels(165,  76,   77),   0xa54c4d),
        "UrWeb":                          (pt.RGB.from_channels(204,  204,  238),  0xccccee),
        "V":                              (pt.RGB.from_channels(79,   135,  196),  0x4f87c4),
        "VBA":                            (pt.RGB.from_channels(134,  125,  177),  0x867db1),
        "VBScript":                       (pt.RGB.from_channels(21,   220,  220),  0x15dcdc),
        "VCL":                            (pt.RGB.from_channels(20,   138,  168),  0x148aa8),
        "VHDL":                           (pt.RGB.from_channels(173,  178,  203),  0xadb2cb),
        "Vala":                           (pt.RGB.from_channels(165,  109,  226),  0xa56de2),
        "Valve Data Format":              (pt.RGB.from_channels(242,  96,   37),   0xf26025),
        "Velocity Template Language":     (pt.RGB.from_channels(80,   124,  255),  0x507cff),
        "Verilog":                        (pt.RGB.from_channels(178,  183,  248),  0xb2b7f8),
        "Vim Help File":                  (pt.RGB.from_channels(25,   159,  75),   0x199f4b),
        "Vim Script":                     (pt.RGB.from_channels(25,   159,  75),   0x199f4b),
        "Vim Snippet":                    (pt.RGB.from_channels(25,   159,  75),   0x199f4b),
        "Visual Basic .NET":              (pt.RGB.from_channels(148,  93,   183),  0x945db7),
        "Visual Basic 6.0":               (pt.RGB.from_channels(44,   99,   83),   0x2c6353),
        "Volt":                           (pt.RGB.from_channels(31,   31,   31),   0x1f1f1f),
        "Vue":                            (pt.RGB.from_channels(65,   184,  131),  0x41b883),
        "Vyper":                          (pt.RGB.from_channels(41,   128,  185),  0x2980b9),
        "Web Ontology Language":          (pt.RGB.from_channels(91,   112,  189),  0x5b70bd),
        "WebAssembly":                    (pt.RGB.from_channels(4,    19,   59),   0x04133b),
        "Whiley":                         (pt.RGB.from_channels(213,  195,  151),  0xd5c397),
        "Wikitext":                       (pt.RGB.from_channels(252,  87,   87),   0xfc5757),
        "Windows Registry Entries":       (pt.RGB.from_channels(82,   213,  255),  0x52d5ff),
        "Witcher Script":                 (pt.RGB.from_channels(255,  0,    0),    0xff0000),
        "Wollok":                         (pt.RGB.from_channels(162,  55,   56),   0xa23738),
        "World of Warcraft Addon Data":   (pt.RGB.from_channels(247,  228,  63),   0xf7e43f),
        "Wren":                           (pt.RGB.from_channels(56,   56,   56),   0x383838),
        "X10":                            (pt.RGB.from_channels(75,   107,  239),  0x4b6bef),
        "XC":                             (pt.RGB.from_channels(153,  218,  7),    0x99da07),
        "XML Property List":              (pt.RGB.from_channels(0,    96,   172),  0x0060ac),
        "XML":                            (pt.RGB.from_channels(0,    96,   172),  0x0060ac),
        "XQuery":                         (pt.RGB.from_channels(82,   50,   231),  0x5232e7),
        "XSLT":                           (pt.RGB.from_channels(235,  140,  235),  0xeb8ceb),
        "Xojo":                           (pt.RGB.from_channels(129,  189,  65),   0x81bd41),
        "Xonsh":                          (pt.RGB.from_channels(40,   94,   239),  0x285eef),
        "Xtend":                          (pt.RGB.from_channels(36,   37,   93),   0x24255d),
        "YAML":                           (pt.RGB.from_channels(203,  23,   30),   0xcb171e),
        "YARA":                           (pt.RGB.from_channels(34,   0,    0),    0x220000),
        "YASnippet":                      (pt.RGB.from_channels(50,   171,  144),  0x32ab90),
        "Yacc":                           (pt.RGB.from_channels(75,   108,  75),   0x4b6c4b),
        "Yul":                            (pt.RGB.from_channels(121,  73,   50),   0x794932),
        "ZAP":                            (pt.RGB.from_channels(13,   102,  94),   0x0d665e),
        "ZIL":                            (pt.RGB.from_channels(220,  117,  229),  0xdc75e5),
        "ZenScript":                      (pt.RGB.from_channels(0,    188,  209),  0x00bcd1),
        "Zephir":                         (pt.RGB.from_channels(17,   143,  158),  0x118f9e),
        "Zig":                            (pt.RGB.from_channels(236,  145,  92),   0xec915c),
        "Zimpl":                          (pt.RGB.from_channels(214,  119,  17),   0xd67711),
        "eC":                             (pt.RGB.from_channels(145,  57,   96),   0x913960),
        "fish":                           (pt.RGB.from_channels(74,   174,  71),   0x4aae47),
        "hoon":                           (pt.RGB.from_channels(0,    177,  113),  0x00b171),
        "jq":                             (pt.RGB.from_channels(199,  37,   78),   0xc7254e),
        "kvlang":                         (pt.RGB.from_channels(29,   166,  224),  0x1da6e0),
        "mIRC Script":                    (pt.RGB.from_channels(61,   87,   195),  0x3d57c3),
        "mcfunction":                     (pt.RGB.from_channels(226,  40,   55),   0xe22837),
        "mupad":                          (pt.RGB.from_channels(36,   73,   99),   0x244963),
        "nanorc":                         (pt.RGB.from_channels(45,   0,    77),   0x2d004d),
        "nesC":                           (pt.RGB.from_channels(148,  176,  199),  0x94b0c7),
        "ooc":                            (pt.RGB.from_channels(176,  183,  126),  0xb0b77e),
        "q":                              (pt.RGB.from_channels(0,    64,   205),  0x0040cd),
        "reStructuredText":               (pt.RGB.from_channels(20,   20,   20),   0x141414),
        "sed":                            (pt.RGB.from_channels(100,  185,  112),  0x64b970),
        "wdl":                            (pt.RGB.from_channels(66,   241,  244),  0x42f1f4),
        "wisp":                           (pt.RGB.from_channels(117,  130,  209),  0x7582d1),
        "xBase":                          (pt.RGB.from_channels(64,   58,   64),   0x403a40),

    }
    # fmt: on

    @classmethod
    def get(cls, lang: str) -> pt.RGB|None:
        return cls.MAP.get(lang, (None, None))[0]

    @classmethod
    def get_longest_key_len(cls) -> int:
        return max(map(len, cls.MAP.keys()))
